@charset "UTF-8";

.main-content-box04{background:url(/_res/yonsei_rc/yonseirc/img/main/bg-main-content04.png) no-repeat center center / cover;}

.main-story-box{display:flex;gap:4rem;align-items:center;}
.main-story-box .main-story-con{position:relative;padding:3.3rem 3.2rem 2.8rem;width:calc(50% - 2rem);border-radius:1.6rem;overflow:hidden;background:var(--black20);box-sizing:border-box;}
.main-story-box .main-story-con::before{content:'';position:absolute;inset:0;border-radius:1.6rem;padding:1px;background:linear-gradient(320deg, var(--white100), var(--black20) 52%, var(--black20) 42%, var(--white100));-webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);-webkit-mask-composite:destination-out;mask-composite:exclude;}
.main-story-box .main-story-con:hover::after{content:'';position:absolute;left:0;top:0;width:0%;height:2px;animation:storyHover 5s linear infinite;offset-path:rect(0% auto 100% auto);background: linear-gradient(45deg, transparent, var(--white100), transparent);box-shadow: 0 0 3rem var(--white100);transition:0.3s ease;z-index:1;}
.main-story-box .main-story-con .story-title-box{position:relative;z-index:10;padding:0 0 2.9rem;}
.main-story-box .main-story-con .story-title-box .story-title{font-size:4rem;font-weight:var(--font-weight-bold);color:var(--white100);line-height:5rem;}
.main-story-box .main-story-con .more-btn-wrap{top:4.5rem;}

@keyframes storyHover {
	0% {
		offset-distance:0%;
	}
	100% {
		offset-distance:100%;
	}
	10%, 38%, 63%, 85% {
		width: 75%
	}
	0%, 25%, 50%, 75%, 100% {
		width: 0;
	}
}

@media screen and (max-width:1024.98px){
	.main-story-box{flex-direction:column;gap:6.4rem;}
	.main-story-box .main-story-con{padding:0;width:100%;border-radius:0;background:transparent;}
	.main-story-box .main-story-con::before{display:none;}
	.main-story-box .main-story-con:hover::after{display:none;}
	.main-story-box .main-story-con .story-title-box{padding:0 0 2rem;}
	.main-story-box .main-story-con .story-title-box .story-title{font-size:2.8rem;line-height:3.9rem;}
	.main-story-box .main-story-con .more-btn-wrap{top:7px;}

}